search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``igraph`.`structural``

module documentation
(source)

Undocumented

Function | `_degree_distribution` | Calculates the degree distribution of the graph.
Function | `_indegree` | Returns the in-degrees in a list.
Function | `_outdegree` | Returns the out-degrees in a list.
Function | `_pagerank` | Calculates the PageRank values of a graph.
Function | `_shortest_paths` | Deprecated alias to `Graph.distances()`.

def _degree_distribution(graph, bin_width=1, *args, **kwds): (source)

Calculates the degree distribution of the graph.

Unknown keyword arguments are directly passed to `GraphBase.degree`.

Parameters
graph | Undocumented
bin_width | the bin width of the histogram
*args | Undocumented
**kwds | Undocumented
Returns
a histogram representing the degree distribution of the graph.

def _indegree(graph, *args, **kwds): (source)

Returns the in-degrees in a list.

See `GraphBase.degree` for possible arguments.

def _outdegree(graph, *args, **kwds): (source)

Returns the out-degrees in a list.

See `GraphBase.degree` for possible arguments.

def _pagerank(graph, vertices=None, directed=True, damping=0.85, weights=None, arpack_options=None, implementation='prpack'): (source)

Calculates the PageRank values of a graph.

Parameters
graph | Undocumented
vertices | the indices of the vertices being queried. `None` means all of the vertices.
directed | whether to consider directed paths.
damping | the damping factor. 1 −damping is the probability of resetting the random walk to a uniform distribution in each step.
weights | edge weights to be used. Can be a sequence or iterable or even an edge attribute name.
arpack_options | an `ARPACKOptions` object used to fine-tune the ARPACK eigenvector calculation. If omitted, the module-level variable called `arpack_options` is used. This argument is ignored if not the ARPACK implementation is used, see the implementation argument.

implementation

which implementation to use to solve the PageRank eigenproblem. Possible values are:

- `"prpack"`: use the PRPACK library. This is a new implementation in igraph 0.7
- `"arpack"`: use the ARPACK library. This implementation was used from version 0.5, until version 0.7.

Returns
a list with the PageRank values of the specified vertices.

def _shortest_paths(graph, *args, **kwds): (source)

Deprecated alias to `Graph.distances()`.